org.eclipse.jetty.nested

## Class NestedConnection

- java.lang.Object
- - org.eclipse.jetty.io.AbstractConnection
  - - org.eclipse.jetty.server.AbstractHttpConnection
    - - org.eclipse.jetty.nested.NestedConnection

All Implemented Interfaces:
  Connection

    public class NestedConnection
    extends AbstractHttpConnection

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jetty.server.AbstractHttpConnection

`AbstractHttpConnection.Output, AbstractHttpConnection.OutputWriter`

### Field Summary

### Fields inherited from class org.eclipse.jetty.server.AbstractHttpConnection

`_connector, _generator, _in, _out, _parser, _printWriter, _request, _requestFields, _response, _responseFields, _server, _uri, _writer`

### Fields inherited from class org.eclipse.jetty.io.AbstractConnection

`_endp`

### Constructor Summary

Constructors
`protected` `NestedConnection(NestedConnector connector, NestedEndPoint endp, javax.servlet.http.HttpServletRequest outerRequest, javax.servlet.http.HttpServletResponse outerResponse, String nestedIn)`

### Method Summary

Methods
`javax.servlet.ServletInputStream` `getInputStream()` Get the inputStream from the connection.
`Connection` `handle()` Handle the connection.

### Methods inherited from class org.eclipse.jetty.server.AbstractHttpConnection

`commitResponse, completeResponse, content, earlyEOF, flushResponse, getAssociatedObject, getConnector, getCurrentConnection, getGenerator, getMaxIdleTime, getOutputStream, getParser, getPrintWriter, getRequest, getRequestFields, getRequests, getResolveNames, getResponse, getResponseFields, getServer, handleRequest, headerComplete, include, included, isConfidential, isEarlyEOF, isExpecting100Continues, isExpecting102Processing, isIdle, isIncluding, isIntegral, isResponseCommitted, isSuspended, messageComplete, newHttpGenerator, newHttpParser, onClose, parsedHeader, reset, setAssociatedObject, setCurrentConnection, startRequest, toString`

### Methods inherited from class org.eclipse.jetty.io.AbstractConnection

`getEndPoint, getTimeStamp, onIdleExpired`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NestedConnection

    protected NestedConnection(NestedConnector connector,
                    NestedEndPoint endp,
                    javax.servlet.http.HttpServletRequest outerRequest,
                    javax.servlet.http.HttpServletResponse outerResponse,
                    String nestedIn)
                        throws IOException

Throws:
  `IOException`

### Method Detail

#### getInputStream

    public javax.servlet.ServletInputStream getInputStream()
                                                    throws IOException

Description copied from class: `AbstractHttpConnection`
Get the inputStream from the connection.

If the associated response has the Expect header set to 100 Continue, then accessing the input stream indicates that the handler/servlet is ready for the request body and thus a 100 Continue response is sent.

Overrides:
  `getInputStream` in class `AbstractHttpConnection`
Returns:
  The input stream for this connection. The stream will be created if it does not already exist.
Throws:
  `IOException` - if the input stream cannot be retrieved

#### handle

    public Connection handle()
                      throws IOException

Description copied from interface: `Connection`
Handle the connection.

Specified by:
  `handle` in interface `Connection`
Specified by:
  `handle` in class `AbstractHttpConnection`
Returns:
  The Connection to use for the next handling of the connection. This allows protocol upgrades and support for CONNECT.
Throws:
  `IOException` - if the handling of I/O operations fail